# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2019-11-04 21:41
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('customers', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Availability',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('direccion', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='customers.Direccion')),
            ],
        ),
        migrations.CreateModel(
            name='BuildingContact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('kind', models.PositiveSmallIntegerField(choices=[(1, 'conserje'), (2, 'mayordomo'), (3, 'administrador'), (4, 'miembro del comité'), (5, 'otro')], default=1, verbose_name='kind')),
                ('name', models.CharField(blank=True, max_length=255, verbose_name='name')),
                ('phone', models.CharField(blank=True, max_length=75, verbose_name='phone')),
                ('email', models.EmailField(blank=True, max_length=254)),
            ],
            options={
                'verbose_name': 'contact',
                'verbose_name_plural': 'contacts',
            },
        ),
        migrations.CreateModel(
            name='Gear',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('kind', models.CharField(max_length=255, verbose_name='Model')),
                ('description', models.TextField(blank=True, verbose_name='Description')),
                ('ip', models.GenericIPAddressField(protocol='IPv4', unique=True, verbose_name='ip')),
                ('mac', models.CharField(max_length=17, verbose_name='mac')),
                ('vlan', models.CharField(max_length=255, verbose_name='Management Vlan')),
                ('firmware_version', models.CharField(max_length=255, verbose_name='Firmware Version')),
                ('notes', models.TextField(blank=True, verbose_name='Internal Notes')),
                ('latest_backup_date_cache', models.DateTimeField(blank=True, null=True, verbose_name='Last Backup')),
                ('brand', models.CharField(max_length=70, verbose_name='Brand')),
            ],
            options={
                'verbose_name': 'gear',
                'verbose_name_plural': 'gears',
                'permissions': (('view_gear', 'Can view gears'), ('list_gear', 'Can list gears')),
            },
        ),
        migrations.CreateModel(
            name='Group',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=20, unique=True, verbose_name='name')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='HistoricalBuildingContact',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('kind', models.PositiveSmallIntegerField(choices=[(1, 'conserje'), (2, 'mayordomo'), (3, 'administrador'), (4, 'miembro del comité'), (5, 'otro')], default=1, verbose_name='kind')),
                ('name', models.CharField(blank=True, max_length=255, verbose_name='name')),
                ('phone', models.CharField(blank=True, max_length=75, verbose_name='phone')),
                ('email', models.EmailField(blank=True, max_length=254)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical contact',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
        ),
        migrations.CreateModel(
            name='HistoricalGear',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('kind', models.CharField(max_length=255, verbose_name='Model')),
                ('description', models.TextField(blank=True, verbose_name='Description')),
                ('ip', models.GenericIPAddressField(db_index=True, protocol='IPv4', verbose_name='ip')),
                ('mac', models.CharField(max_length=17, verbose_name='mac')),
                ('vlan', models.CharField(max_length=255, verbose_name='Management Vlan')),
                ('firmware_version', models.CharField(max_length=255, verbose_name='Firmware Version')),
                ('notes', models.TextField(blank=True, verbose_name='Internal Notes')),
                ('latest_backup_date_cache', models.DateTimeField(blank=True, null=True, verbose_name='Last Backup')),
                ('brand', models.CharField(max_length=70, verbose_name='Brand')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical gear',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
        ),
        migrations.CreateModel(
            name='HistoricalGroup',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('name', models.CharField(db_index=True, max_length=20, verbose_name='name')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical group',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
        ),
        migrations.CreateModel(
            name='HistoricalNetworkEquipment',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('brand', models.CharField(max_length=255, verbose_name='brand')),
                ('model', models.CharField(max_length=255, verbose_name='model')),
                ('ip', models.GenericIPAddressField(protocol='IPv4', verbose_name='ip')),
                ('mac', models.CharField(max_length=17, verbose_name='mac')),
                ('serial_number', models.CharField(blank=True, max_length=255, null=True, verbose_name='serial number')),
                ('primary', models.BooleanField(default=False)),
                ('notes', models.TextField(blank=True, verbose_name='notes')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('service', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.Service')),
            ],
            options={
                'verbose_name': 'historical network equipment',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
        ),
        migrations.CreateModel(
            name='HistoricalNode',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('code', models.CharField(max_length=40, verbose_name='code')),
                ('status', models.PositiveSmallIntegerField(choices=[(1, 'wired'), (2, 'pending'), (3, 'in progress'), (4, 'no label'), (5, 'discarded')], default=1, verbose_name='status')),
                ('address', models.CharField(max_length=255, verbose_name='address')),
                ('street', models.CharField(blank=True, max_length=75, verbose_name='street')),
                ('house_number', models.CharField(blank=True, max_length=75, verbose_name='house number')),
                ('commune', models.CharField(max_length=30, verbose_name='commune')),
                ('location', models.CharField(choices=[('11201', 'Aisén'), ('05602', 'Algarrobo'), ('13502', 'Alhué'), ('08314', 'Alto Biobío'), ('01107', 'Alto Hospicio'), ('03302', 'Alto del Carmen'), ('10202', 'Ancud'), ('04103', 'Andacollo'), ('09201', 'Angol'), ('02101', 'Antofagasta'), ('08302', 'Antuco'), ('12202', 'Antártica'), ('08202', 'Arauco'), ('15101', 'Arica'), ('13402', 'Buin'), ('08402', 'Bulnes'), ('05402', 'Cabildo'), ('12201', 'Cabo de Hornos (Ex Navarino)'), ('08303', 'Cabrero'), ('02201', 'Calama'), ('10102', 'Calbuco'), ('03102', 'Caldera'), ('05502', 'Calera'), ('13403', 'Calera de Tango'), ('05302', 'Calle Larga'), ('15102', 'Camarones'), ('01402', 'Camiña'), ('04202', 'Canela'), ('09102', 'Carahue'), ('05603', 'Cartagena'), ('05102', 'Casablanca'), ('10201', 'Castro'), ('05702', 'Catemu'), ('07201', 'Cauquenes'), ('08203', 'Cañete'), ('13102', 'Cerrillos'), ('13103', 'Cerro Navia'), ('10401', 'Chaitén'), ('07202', 'Chanco'), ('03201', 'Chañaral'), ('08103', 'Chiguayante'), ('11401', 'Chile Chico'), ('08401', 'Chillán'), ('08406', 'Chillán Viejo'), ('06303', 'Chimbarongo'), ('09121', 'Cholchol'), ('10203', 'Chonchi'), ('06302', 'Chépica'), ('11202', 'Cisnes'), ('08403', 'Cobquecura'), ('10103', 'Cochamó'), ('11301', 'Cochrane'), ('06102', 'Codegua'), ('08404', 'Coelemu'), ('11101', 'Coihaique'), ('08405', 'Coihueco'), ('06103', 'Coinco'), ('07402', 'Colbún'), ('01403', 'Colchane'), ('13301', 'Colina'), ('09202', 'Collipulli'), ('06104', 'Coltauco'), ('04302', 'Combarbalá'), ('08101', 'Concepción'), ('13104', 'Conchalí'), ('05103', 'Concón'), ('07102', 'Constitución'), ('08204', 'Contulmo'), ('03101', 'Copiapó'), ('04102', 'Coquimbo'), ('08102', 'Coronel'), ('14102', 'Corral'), ('09103', 'Cunco'), ('09203', 'Curacautín'), ('13503', 'Curacaví'), ('10204', 'Curaco de Vélez'), ('08205', 'Curanilahue'), ('09104', 'Curarrehue'), ('07103', 'Curepto'), ('07301', 'Curicó'), ('10205', 'Dalcahue'), ('03202', 'Diego de Almagro'), ('06105', 'Doñihue'), ('13105', 'El Bosque'), ('08407', 'El Carmen'), ('13602', 'El Monte'), ('05604', 'El Quisco'), ('05605', 'El Tabo'), ('07104', 'Empedrado'), ('09204', 'Ercilla'), ('13106', 'Estación Central'), ('08104', 'Florida'), ('09105', 'Freire'), ('03303', 'Freirina'), ('10104', 'Fresia'), ('10105', 'Frutillar'), ('10402', 'Futaleufú'), ('14202', 'Futrono'), ('09106', 'Galvarino'), ('15202', 'General Lagos'), ('09107', 'Gorbea'), ('06106', 'Graneros'), ('11203', 'Guaitecas'), ('05503', 'Hijuelas'), ('10403', 'Hualaihué'), ('07302', 'Hualañé'), ('08112', 'Hualpén'), ('08105', 'Hualqui'), ('01404', 'Huara'), ('03304', 'Huasco'), ('13107', 'Huechuraba'), ('04201', 'Illapel'), ('13108', 'Independencia'), ('01101', 'Iquique'), ('13603', 'Isla de Maipo'), ('05201', 'Isla de Pascua'), ('05104', 'Juan Fernández'), ('13109', 'La Cisterna'), ('05504', 'La Cruz'), ('06202', 'La Estrella'), ('13110', 'La Florida'), ('13111', 'La Granja'), ('04104', 'La Higuera'), ('05401', 'La Ligua'), ('13112', 'La Pintana'), ('13113', 'La Reina'), ('04101', 'La Serena'), ('14201', 'La Unión'), ('14203', 'Lago Ranco'), ('11102', 'Lago Verde'), ('12102', 'Laguna Blanca'), ('08304', 'Laja'), ('13302', 'Lampa'), ('14103', 'Lanco'), ('06107', 'Las Cabras'), ('13114', 'Las Condes'), ('09108', 'Lautaro'), ('08201', 'Lebu'), ('07303', 'Licantén'), ('05802', 'Limache'), ('07401', 'Linares'), ('06203', 'Litueche'), ('05703', 'Llaillay'), ('10107', 'Llanquihue'), ('13115', 'Lo Barnechea'), ('13116', 'Lo Espejo'), ('13117', 'Lo Prado'), ('06304', 'Lolol'), ('09109', 'Loncoche'), ('07403', 'Longaví'), ('09205', 'Lonquimay'), ('05301', 'Los Andes'), ('14104', 'Los Lagos'), ('10106', 'Los Muermos'), ('09206', 'Los Sauces'), ('04203', 'Los Vilos'), ('08206', 'Los Álamos'), ('08301', 'Los Ángeles'), ('08106', 'Lota'), ('09207', 'Lumaco'), ('06108', 'Machalí'), ('13118', 'Macul'), ('13119', 'Maipú'), ('06109', 'Malloa'), ('06204', 'Marchihue'), ('14106', 'Mariquina'), ('02302', 'María Elena'), ('13504', 'María Pinto'), ('07105', 'Maule'), ('10108', 'Maullín'), ('02102', 'Mejillones'), ('09110', 'Melipeuco'), ('13501', 'Melipilla'), ('07304', 'Molina'), ('04303', 'Monte Patria'), ('06110', 'Mostazal'), ('08305', 'Mulchén'), ('14105', 'Máfil'), ('08306', 'Nacimiento'), ('06305', 'Nancagua'), ('12401', 'Natales'), ('06205', 'Navidad'), ('08307', 'Negrete'), ('08408', 'Ninhue'), ('05506', 'Nogales'), ('09111', 'Nueva Imperial'), ('06111', 'Olivar'), ('02202', 'Ollagüe'), ('05803', 'Olmué'), ('10301', 'Osorno'), ('04301', 'Ovalle'), ('11302', 'O’Higgins'), ('13604', 'Padre Hurtado'), ('09112', 'Padre las Casas'), ('04105', 'Paiguano'), ('14107', 'Paillaco'), ('13404', 'Paine'), ('10404', 'Palena'), ('06306', 'Palmilla'), ('14108', 'Panguipulli'), ('05704', 'Panquehue'), ('05403', 'Papudo'), ('06206', 'Paredones'), ('07404', 'Parral'), ('13121', 'Pedro Aguirre Cerda'), ('07106', 'Pelarco'), ('07203', 'Pelluhue'), ('08410', 'Pemuco'), ('07107', 'Pencahue'), ('08107', 'Penco'), ('06307', 'Peralillo'), ('09113', 'Perquenco'), ('05404', 'Petorca'), ('06112', 'Peumo'), ('13605', 'Peñaflor'), ('13122', 'Peñalolén'), ('01405', 'Pica'), ('06113', 'Pichidegua'), ('06201', 'Pichilemu'), ('08411', 'Pinto'), ('13202', 'Pirque'), ('09114', 'Pitrufquén'), ('06308', 'Placilla'), ('08412', 'Portezuelo'), ('12301', 'Porvenir'), ('01401', 'Pozo Almonte'), ('12302', 'Primavera'), ('13123', 'Providencia'), ('05105', 'Puchuncaví'), ('09115', 'Pucón'), ('13124', 'Pudahuel'), ('13201', 'Puente Alto'), ('10101', 'Puerto Montt'), ('10302', 'Puerto Octay'), ('10109', 'Puerto Varas'), ('06309', 'Pumanque'), ('04304', 'Punitaqui'), ('12101', 'Punta Arenas'), ('10206', 'Puqueldón'), ('10303', 'Purranque'), ('09208', 'Purén'), ('05705', 'Putaendo'), ('15201', 'Putre'), ('10304', 'Puyehue'), ('10207', 'Queilén'), ('10208', 'Quellón'), ('10209', 'Quemchi'), ('08308', 'Quilaco'), ('13125', 'Quilicura'), ('08309', 'Quilleco'), ('05501', 'Quillota'), ('08413', 'Quillón'), ('05801', 'Quilpué'), ('10210', 'Quinchao'), ('13126', 'Quinta Normal'), ('06114', 'Quinta de Tilcoco'), ('05107', 'Quintero'), ('08414', 'Quirihue'), ('06101', 'Rancagua'), ('07305', 'Rauco'), ('13127', 'Recoleta'), ('09209', 'Renaico'), ('13128', 'Renca'), ('06115', 'Rengo'), ('06116', 'Requínoa'), ('07405', 'Retiro'), ('05303', 'Rinconada'), ('07306', 'Romeral'), ('08415', 'Ránquil'), ('14204', 'Río Bueno'), ('07108', 'Río Claro'), ('04305', 'Río Hurtado'), ('11402', 'Río Ibáñez'), ('10305', 'Río Negro'), ('12103', 'Río Verde'), ('09116', 'Saavedra'), ('07307', 'Sagrada Familia'), ('04204', 'Salamanca'), ('05601', 'San Antonio'), ('13401', 'San Bernardo'), ('08416', 'San Carlos'), ('07109', 'San Clemente'), ('05304', 'San Esteban'), ('08417', 'San Fabián'), ('05701', 'San Felipe'), ('06301', 'San Fernando'), ('12104', 'San Gregorio'), ('08418', 'San Ignacio'), ('07406', 'San Javier'), ('13129', 'San Joaquín'), ('13203', 'San José de Maipo'), ('10306', 'San Juan de la Costa'), ('13130', 'San Miguel'), ('08419', 'San Nicolás'), ('10307', 'San Pablo'), ('13505', 'San Pedro'), ('02203', 'San Pedro de Atacama'), ('08108', 'San Pedro de la Paz'), ('07110', 'San Rafael'), ('13131', 'San Ramón'), ('08310', 'San Rosendo'), ('06117', 'San Vicente'), ('08311', 'Santa Bárbara'), ('06310', 'Santa Cruz'), ('08109', 'Santa Juana'), ('05706', 'Santa María'), ('13101', 'Santiago'), ('05606', 'Santo Domingo'), ('02103', 'Sierra Gorda'), ('13601', 'Talagante'), ('07101', 'Talca'), ('08110', 'Talcahuano'), ('02104', 'Taltal'), ('09101', 'Temuco'), ('07308', 'Teno'), ('09117', 'Teodoro Schmidt'), ('03103', 'Tierra Amarilla'), ('13303', 'Tiltil'), ('12303', 'Timaukel'), ('08207', 'Tirúa'), ('02301', 'Tocopilla'), ('09118', 'Toltén'), ('08111', 'Tomé'), ('12402', 'Torres del Paine'), ('11303', 'Tortel'), ('09210', 'Traiguén'), ('08420', 'Treguaco'), ('08312', 'Tucapel'), ('14101', 'Valdivia'), ('03301', 'Vallenar'), ('05101', 'Valparaíso'), ('07309', 'Vichuquén'), ('09211', 'Victoria'), ('04106', 'Vicuña'), ('09119', 'Vilcún'), ('07407', 'Villa Alegre'), ('05804', 'Villa Alemana'), ('09120', 'Villarrica'), ('13132', 'Vitacura'), ('05109', 'Viña del Mar'), ('07408', 'Yerbas Buenas'), ('08313', 'Yumbel'), ('08421', 'Yungay'), ('05405', 'Zapallar'), ('08409', 'Ñiquén'), ('13120', 'Ñuñoa')], max_length=5, verbose_name='location')),
                ('olt_config', models.TextField(blank=True, null=True)),
                ('is_building', models.BooleanField(default=False)),
                ('is_optical_fiber', models.BooleanField(default=False, verbose_name='is optical fiber?')),
                ('gpon', models.BooleanField(default=False, verbose_name='GPON')),
                ('gepon', models.BooleanField(default=False, verbose_name='GEPON')),
                ('pon_port', models.CharField(blank=True, default='', max_length=255, verbose_name='PON port')),
                ('box_location', models.CharField(blank=True, default='', max_length=255, verbose_name='box location')),
                ('splitter_location', models.CharField(blank=True, default='', max_length=255, verbose_name='splitter location')),
                ('expected_power', models.CharField(blank=True, default='', max_length=255, verbose_name='expected power')),
                ('fiber_notes', models.TextField(blank=True, verbose_name='fiber notes')),
                ('towers', models.PositiveSmallIntegerField(default=0)),
                ('apartments', models.PositiveIntegerField(default=0)),
                ('phone', models.CharField(blank=True, default='', max_length=16, verbose_name='phone')),
                ('mikrotik_ip', models.GenericIPAddressField(protocol='IPv4', verbose_name='ip')),
                ('mikrotik_username', models.CharField(max_length=255)),
                ('mikrotik_password', models.CharField(max_length=255)),
                ('notes', models.TextField(blank=True, verbose_name='notes')),
                ('antennas_left', models.PositiveSmallIntegerField(default=0, verbose_name='antennas left')),
                ('ip_range', models.GenericIPAddressField(blank=True, db_index=True, null=True, protocol='IPv4', verbose_name='ip range')),
                ('no_address_binding', models.BooleanField(default=False, verbose_name='no asociar direcciones')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('default_connection_node', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='infra.HistoricalNode')),
                ('group', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='infra.Group')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('parent', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='infra.HistoricalNode')),
                ('seller', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='customers.Seller')),
            ],
            options={
                'verbose_name': 'historical node',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
        ),
        migrations.CreateModel(
            name='HistoricalNotFoundEquipment',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('ip', models.GenericIPAddressField(protocol='IPv4', verbose_name='ip')),
                ('mac', models.CharField(max_length=17, verbose_name='mac')),
                ('host', models.CharField(max_length=255, verbose_name='host')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical not found equipment',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
        ),
        migrations.CreateModel(
            name='NetworkEquipment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('brand', models.CharField(max_length=255, verbose_name='brand')),
                ('model', models.CharField(max_length=255, verbose_name='model')),
                ('ip', models.GenericIPAddressField(protocol='IPv4', verbose_name='ip')),
                ('mac', models.CharField(max_length=17, verbose_name='mac')),
                ('serial_number', models.CharField(blank=True, max_length=255, null=True, verbose_name='serial number')),
                ('primary', models.BooleanField(default=False)),
                ('notes', models.TextField(blank=True, verbose_name='notes')),
                ('service', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='customers.Service')),
            ],
            options={
                'verbose_name': 'network equipment',
                'verbose_name_plural': 'network equipments',
                'ordering': ['-pk'],
            },
        ),
        migrations.CreateModel(
            name='Node',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(max_length=40, verbose_name='code')),
                ('status', models.PositiveSmallIntegerField(choices=[(1, 'wired'), (2, 'pending'), (3, 'in progress'), (4, 'no label'), (5, 'discarded')], default=1, verbose_name='status')),
                ('address', models.CharField(max_length=255, verbose_name='address')),
                ('street', models.CharField(blank=True, max_length=75, verbose_name='street')),
                ('house_number', models.CharField(blank=True, max_length=75, verbose_name='house number')),
                ('commune', models.CharField(max_length=30, verbose_name='commune')),
                ('location', models.CharField(choices=[('11201', 'Aisén'), ('05602', 'Algarrobo'), ('13502', 'Alhué'), ('08314', 'Alto Biobío'), ('01107', 'Alto Hospicio'), ('03302', 'Alto del Carmen'), ('10202', 'Ancud'), ('04103', 'Andacollo'), ('09201', 'Angol'), ('02101', 'Antofagasta'), ('08302', 'Antuco'), ('12202', 'Antártica'), ('08202', 'Arauco'), ('15101', 'Arica'), ('13402', 'Buin'), ('08402', 'Bulnes'), ('05402', 'Cabildo'), ('12201', 'Cabo de Hornos (Ex Navarino)'), ('08303', 'Cabrero'), ('02201', 'Calama'), ('10102', 'Calbuco'), ('03102', 'Caldera'), ('05502', 'Calera'), ('13403', 'Calera de Tango'), ('05302', 'Calle Larga'), ('15102', 'Camarones'), ('01402', 'Camiña'), ('04202', 'Canela'), ('09102', 'Carahue'), ('05603', 'Cartagena'), ('05102', 'Casablanca'), ('10201', 'Castro'), ('05702', 'Catemu'), ('07201', 'Cauquenes'), ('08203', 'Cañete'), ('13102', 'Cerrillos'), ('13103', 'Cerro Navia'), ('10401', 'Chaitén'), ('07202', 'Chanco'), ('03201', 'Chañaral'), ('08103', 'Chiguayante'), ('11401', 'Chile Chico'), ('08401', 'Chillán'), ('08406', 'Chillán Viejo'), ('06303', 'Chimbarongo'), ('09121', 'Cholchol'), ('10203', 'Chonchi'), ('06302', 'Chépica'), ('11202', 'Cisnes'), ('08403', 'Cobquecura'), ('10103', 'Cochamó'), ('11301', 'Cochrane'), ('06102', 'Codegua'), ('08404', 'Coelemu'), ('11101', 'Coihaique'), ('08405', 'Coihueco'), ('06103', 'Coinco'), ('07402', 'Colbún'), ('01403', 'Colchane'), ('13301', 'Colina'), ('09202', 'Collipulli'), ('06104', 'Coltauco'), ('04302', 'Combarbalá'), ('08101', 'Concepción'), ('13104', 'Conchalí'), ('05103', 'Concón'), ('07102', 'Constitución'), ('08204', 'Contulmo'), ('03101', 'Copiapó'), ('04102', 'Coquimbo'), ('08102', 'Coronel'), ('14102', 'Corral'), ('09103', 'Cunco'), ('09203', 'Curacautín'), ('13503', 'Curacaví'), ('10204', 'Curaco de Vélez'), ('08205', 'Curanilahue'), ('09104', 'Curarrehue'), ('07103', 'Curepto'), ('07301', 'Curicó'), ('10205', 'Dalcahue'), ('03202', 'Diego de Almagro'), ('06105', 'Doñihue'), ('13105', 'El Bosque'), ('08407', 'El Carmen'), ('13602', 'El Monte'), ('05604', 'El Quisco'), ('05605', 'El Tabo'), ('07104', 'Empedrado'), ('09204', 'Ercilla'), ('13106', 'Estación Central'), ('08104', 'Florida'), ('09105', 'Freire'), ('03303', 'Freirina'), ('10104', 'Fresia'), ('10105', 'Frutillar'), ('10402', 'Futaleufú'), ('14202', 'Futrono'), ('09106', 'Galvarino'), ('15202', 'General Lagos'), ('09107', 'Gorbea'), ('06106', 'Graneros'), ('11203', 'Guaitecas'), ('05503', 'Hijuelas'), ('10403', 'Hualaihué'), ('07302', 'Hualañé'), ('08112', 'Hualpén'), ('08105', 'Hualqui'), ('01404', 'Huara'), ('03304', 'Huasco'), ('13107', 'Huechuraba'), ('04201', 'Illapel'), ('13108', 'Independencia'), ('01101', 'Iquique'), ('13603', 'Isla de Maipo'), ('05201', 'Isla de Pascua'), ('05104', 'Juan Fernández'), ('13109', 'La Cisterna'), ('05504', 'La Cruz'), ('06202', 'La Estrella'), ('13110', 'La Florida'), ('13111', 'La Granja'), ('04104', 'La Higuera'), ('05401', 'La Ligua'), ('13112', 'La Pintana'), ('13113', 'La Reina'), ('04101', 'La Serena'), ('14201', 'La Unión'), ('14203', 'Lago Ranco'), ('11102', 'Lago Verde'), ('12102', 'Laguna Blanca'), ('08304', 'Laja'), ('13302', 'Lampa'), ('14103', 'Lanco'), ('06107', 'Las Cabras'), ('13114', 'Las Condes'), ('09108', 'Lautaro'), ('08201', 'Lebu'), ('07303', 'Licantén'), ('05802', 'Limache'), ('07401', 'Linares'), ('06203', 'Litueche'), ('05703', 'Llaillay'), ('10107', 'Llanquihue'), ('13115', 'Lo Barnechea'), ('13116', 'Lo Espejo'), ('13117', 'Lo Prado'), ('06304', 'Lolol'), ('09109', 'Loncoche'), ('07403', 'Longaví'), ('09205', 'Lonquimay'), ('05301', 'Los Andes'), ('14104', 'Los Lagos'), ('10106', 'Los Muermos'), ('09206', 'Los Sauces'), ('04203', 'Los Vilos'), ('08206', 'Los Álamos'), ('08301', 'Los Ángeles'), ('08106', 'Lota'), ('09207', 'Lumaco'), ('06108', 'Machalí'), ('13118', 'Macul'), ('13119', 'Maipú'), ('06109', 'Malloa'), ('06204', 'Marchihue'), ('14106', 'Mariquina'), ('02302', 'María Elena'), ('13504', 'María Pinto'), ('07105', 'Maule'), ('10108', 'Maullín'), ('02102', 'Mejillones'), ('09110', 'Melipeuco'), ('13501', 'Melipilla'), ('07304', 'Molina'), ('04303', 'Monte Patria'), ('06110', 'Mostazal'), ('08305', 'Mulchén'), ('14105', 'Máfil'), ('08306', 'Nacimiento'), ('06305', 'Nancagua'), ('12401', 'Natales'), ('06205', 'Navidad'), ('08307', 'Negrete'), ('08408', 'Ninhue'), ('05506', 'Nogales'), ('09111', 'Nueva Imperial'), ('06111', 'Olivar'), ('02202', 'Ollagüe'), ('05803', 'Olmué'), ('10301', 'Osorno'), ('04301', 'Ovalle'), ('11302', 'O’Higgins'), ('13604', 'Padre Hurtado'), ('09112', 'Padre las Casas'), ('04105', 'Paiguano'), ('14107', 'Paillaco'), ('13404', 'Paine'), ('10404', 'Palena'), ('06306', 'Palmilla'), ('14108', 'Panguipulli'), ('05704', 'Panquehue'), ('05403', 'Papudo'), ('06206', 'Paredones'), ('07404', 'Parral'), ('13121', 'Pedro Aguirre Cerda'), ('07106', 'Pelarco'), ('07203', 'Pelluhue'), ('08410', 'Pemuco'), ('07107', 'Pencahue'), ('08107', 'Penco'), ('06307', 'Peralillo'), ('09113', 'Perquenco'), ('05404', 'Petorca'), ('06112', 'Peumo'), ('13605', 'Peñaflor'), ('13122', 'Peñalolén'), ('01405', 'Pica'), ('06113', 'Pichidegua'), ('06201', 'Pichilemu'), ('08411', 'Pinto'), ('13202', 'Pirque'), ('09114', 'Pitrufquén'), ('06308', 'Placilla'), ('08412', 'Portezuelo'), ('12301', 'Porvenir'), ('01401', 'Pozo Almonte'), ('12302', 'Primavera'), ('13123', 'Providencia'), ('05105', 'Puchuncaví'), ('09115', 'Pucón'), ('13124', 'Pudahuel'), ('13201', 'Puente Alto'), ('10101', 'Puerto Montt'), ('10302', 'Puerto Octay'), ('10109', 'Puerto Varas'), ('06309', 'Pumanque'), ('04304', 'Punitaqui'), ('12101', 'Punta Arenas'), ('10206', 'Puqueldón'), ('10303', 'Purranque'), ('09208', 'Purén'), ('05705', 'Putaendo'), ('15201', 'Putre'), ('10304', 'Puyehue'), ('10207', 'Queilén'), ('10208', 'Quellón'), ('10209', 'Quemchi'), ('08308', 'Quilaco'), ('13125', 'Quilicura'), ('08309', 'Quilleco'), ('05501', 'Quillota'), ('08413', 'Quillón'), ('05801', 'Quilpué'), ('10210', 'Quinchao'), ('13126', 'Quinta Normal'), ('06114', 'Quinta de Tilcoco'), ('05107', 'Quintero'), ('08414', 'Quirihue'), ('06101', 'Rancagua'), ('07305', 'Rauco'), ('13127', 'Recoleta'), ('09209', 'Renaico'), ('13128', 'Renca'), ('06115', 'Rengo'), ('06116', 'Requínoa'), ('07405', 'Retiro'), ('05303', 'Rinconada'), ('07306', 'Romeral'), ('08415', 'Ránquil'), ('14204', 'Río Bueno'), ('07108', 'Río Claro'), ('04305', 'Río Hurtado'), ('11402', 'Río Ibáñez'), ('10305', 'Río Negro'), ('12103', 'Río Verde'), ('09116', 'Saavedra'), ('07307', 'Sagrada Familia'), ('04204', 'Salamanca'), ('05601', 'San Antonio'), ('13401', 'San Bernardo'), ('08416', 'San Carlos'), ('07109', 'San Clemente'), ('05304', 'San Esteban'), ('08417', 'San Fabián'), ('05701', 'San Felipe'), ('06301', 'San Fernando'), ('12104', 'San Gregorio'), ('08418', 'San Ignacio'), ('07406', 'San Javier'), ('13129', 'San Joaquín'), ('13203', 'San José de Maipo'), ('10306', 'San Juan de la Costa'), ('13130', 'San Miguel'), ('08419', 'San Nicolás'), ('10307', 'San Pablo'), ('13505', 'San Pedro'), ('02203', 'San Pedro de Atacama'), ('08108', 'San Pedro de la Paz'), ('07110', 'San Rafael'), ('13131', 'San Ramón'), ('08310', 'San Rosendo'), ('06117', 'San Vicente'), ('08311', 'Santa Bárbara'), ('06310', 'Santa Cruz'), ('08109', 'Santa Juana'), ('05706', 'Santa María'), ('13101', 'Santiago'), ('05606', 'Santo Domingo'), ('02103', 'Sierra Gorda'), ('13601', 'Talagante'), ('07101', 'Talca'), ('08110', 'Talcahuano'), ('02104', 'Taltal'), ('09101', 'Temuco'), ('07308', 'Teno'), ('09117', 'Teodoro Schmidt'), ('03103', 'Tierra Amarilla'), ('13303', 'Tiltil'), ('12303', 'Timaukel'), ('08207', 'Tirúa'), ('02301', 'Tocopilla'), ('09118', 'Toltén'), ('08111', 'Tomé'), ('12402', 'Torres del Paine'), ('11303', 'Tortel'), ('09210', 'Traiguén'), ('08420', 'Treguaco'), ('08312', 'Tucapel'), ('14101', 'Valdivia'), ('03301', 'Vallenar'), ('05101', 'Valparaíso'), ('07309', 'Vichuquén'), ('09211', 'Victoria'), ('04106', 'Vicuña'), ('09119', 'Vilcún'), ('07407', 'Villa Alegre'), ('05804', 'Villa Alemana'), ('09120', 'Villarrica'), ('13132', 'Vitacura'), ('05109', 'Viña del Mar'), ('07408', 'Yerbas Buenas'), ('08313', 'Yumbel'), ('08421', 'Yungay'), ('05405', 'Zapallar'), ('08409', 'Ñiquén'), ('13120', 'Ñuñoa')], max_length=5, verbose_name='location')),
                ('olt_config', models.TextField(blank=True, null=True)),
                ('is_building', models.BooleanField(default=False)),
                ('is_optical_fiber', models.BooleanField(default=False, verbose_name='is optical fiber?')),
                ('gpon', models.BooleanField(default=False, verbose_name='GPON')),
                ('gepon', models.BooleanField(default=False, verbose_name='GEPON')),
                ('pon_port', models.CharField(blank=True, default='', max_length=255, verbose_name='PON port')),
                ('box_location', models.CharField(blank=True, default='', max_length=255, verbose_name='box location')),
                ('splitter_location', models.CharField(blank=True, default='', max_length=255, verbose_name='splitter location')),
                ('expected_power', models.CharField(blank=True, default='', max_length=255, verbose_name='expected power')),
                ('fiber_notes', models.TextField(blank=True, verbose_name='fiber notes')),
                ('towers', models.PositiveSmallIntegerField(default=0)),
                ('apartments', models.PositiveIntegerField(default=0)),
                ('phone', models.CharField(blank=True, default='', max_length=16, verbose_name='phone')),
                ('mikrotik_ip', models.GenericIPAddressField(protocol='IPv4', verbose_name='ip')),
                ('mikrotik_username', models.CharField(max_length=255)),
                ('mikrotik_password', models.CharField(max_length=255)),
                ('notes', models.TextField(blank=True, verbose_name='notes')),
                ('antennas_left', models.PositiveSmallIntegerField(default=0, verbose_name='antennas left')),
                ('ip_range', models.GenericIPAddressField(blank=True, null=True, protocol='IPv4', unique=True, verbose_name='ip range')),
                ('no_address_binding', models.BooleanField(default=False, verbose_name='no asociar direcciones')),
                ('default_connection_node', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='infra.Node', verbose_name='default connection node')),
                ('group', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='infra.Group', verbose_name='group')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='infra.Node', verbose_name='parent')),
            ],
            options={
                'verbose_name': 'node',
                'verbose_name_plural': 'nodes',
                'ordering': ['code'],
                'permissions': (('view_node', 'Can view node'), ('list_node', 'Can list nodes')),
            },
        ),
        migrations.CreateModel(
            name='NotFoundEquipment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ip', models.GenericIPAddressField(protocol='IPv4', verbose_name='ip')),
                ('mac', models.CharField(max_length=17, verbose_name='mac')),
                ('host', models.CharField(max_length=255, verbose_name='host')),
            ],
            options={
                'verbose_name': 'not found equipment',
                'verbose_name_plural': 'not found equipments',
            },
        ),
        migrations.CreateModel(
            name='PlanOrderKind',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
            ],
        ),
        migrations.AddField(
            model_name='node',
            name='plan_order_kinds',
            field=models.ManyToManyField(blank=True, to='infra.PlanOrderKind', verbose_name='tipo OS habilitadas'),
        ),
        migrations.AddField(
            model_name='node',
            name='plans',
            field=models.ManyToManyField(to='customers.Plan'),
        ),
        migrations.AddField(
            model_name='node',
            name='seller',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='customers.Seller', verbose_name='seller'),
        ),
        migrations.AddField(
            model_name='historicalgear',
            name='node',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='infra.Node'),
        ),
        migrations.AddField(
            model_name='historicalbuildingcontact',
            name='node',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='infra.Node'),
        ),
        migrations.AddField(
            model_name='gear',
            name='node',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='infra.Node', verbose_name='node'),
        ),
        migrations.AddField(
            model_name='buildingcontact',
            name='node',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='infra.Node', verbose_name='node'),
        ),
        migrations.AddField(
            model_name='availability',
            name='node',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='infra.Node'),
        ),
    ]
